1
0
mirror of https://gitlab.xiph.org/xiph/ezstream.git synced 2024-11-03 04:17:18 -05:00

Move the verbose error check where it belongs.

git-svn-id: https://svn.xiph.org/trunk/ezstream@16534 0101bb08-14d6-0310-b084-bc0e0c8e3800
This commit is contained in:
moritz 2009-08-30 19:41:59 +00:00
parent 41b1dd7c8f
commit c7f262ddf8

View File

@ -117,16 +117,16 @@ trap 'rm -rf ${_temp_dir}; exit 1' 2 15
_cfg="${_temp_dir}/config.xml"
_playlist="${_temp_dir}/playlist.txt"
touch "${_cfg}"
if [ $? -ne 0 ]; then
echo "${_myname}: Unable to create configuration." >&2
exit 1
fi
chmod 0600 "${_cfg}"
touch "${_cfg}" || exit 1
chmod 0600 "${_cfg}" || exit 1
sed -e "s,${_filename_placeholder},${_playlist},g" \
< "${_cfg_template}" \
> "${_cfg}"
if [ $? -ne 0 ]; then
echo "${_myname}: Unable to create configuration." >&2
exit 1
fi
if [ -n "$1" ]; then
for _file in $*